--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -61,7 +61,7 @@
 set(SDK_BUILD_DIR "${CMAKE_BINARY_DIR}/WORK")       # SDK build in WORK. Keep all in it.
 set(LINPHONE_OUTPUT_DIR "${CMAKE_BINARY_DIR}/linphone-sdk/desktop")
 set(QTKEYCHAIN_OUTPUT_DIR "${CMAKE_BINARY_DIR}/qtkeychain")
-set(QTKEYCHAIN_TARGET_NAME "EQt5Keychain")
+set(QTKEYCHAIN_TARGET_NAME "Qt5Keychain")
 set(APPLICATION_OUTPUT_DIR "${CMAKE_BINARY_DIR}/OUTPUT")
 
 set(CMAKE_PREFIX_PATH "${LINPHONE_OUTPUT_DIR};${APPLICATION_OUTPUT_DIR};${APPLICATION_OUTPUT_DIR}/include${PREFIX_PATH}")
@@ -239,17 +239,17 @@
 
 if(NOT LINPHONE_QT_ONLY)
 #add_subdirectory(external/qtkeychain)
-	if(ENABLE_QT_KEYCHAIN)
-		ExternalProject_Add(app-qtkeychain PREFIX "${CMAKE_BINARY_DIR}/qtkeychain"
-			SOURCE_DIR "${CMAKE_SOURCE_DIR}/external/qtkeychain"
-			INSTALL_DIR "${QTKEYCHAIN_OUTPUT_DIR}"
-			BINARY_DIR "${SDK_BUILD_DIR}/qtkeychain"
-			BUILD_COMMAND ${CMAKE_COMMAND} --build <BINARY_DIR> --config $<CONFIG> ${PROJECT_BUILD_COMMAND}
-			LIST_SEPARATOR | # Use the alternate list separator
-			CMAKE_ARGS ${APP_OPTIONS} ${QTKEYCHAIN_OPTIONS} ${USER_ARGS} -DCMAKE_INSTALL_PREFIX:PATH=<INSTALL_DIR> -DCMAKE_PREFIX_PATH=${PREFIX_PATH} -DCMAKE_OSX_ARCHITECTURES=${LINPHONESDK_MACOS_ARCHS}
-			BUILD_ALWAYS NO #${DO_BUILD}
-		)
-	endif()
+	# if(FALSE AND ENABLE_QT_KEYCHAIN)
+	# 	ExternalProject_Add(app-qtkeychain PREFIX "${CMAKE_BINARY_DIR}/qtkeychain"
+	# 		SOURCE_DIR "${CMAKE_SOURCE_DIR}/external/qtkeychain"
+	# 		INSTALL_DIR "${QTKEYCHAIN_OUTPUT_DIR}"
+	# 		BINARY_DIR "${SDK_BUILD_DIR}/qtkeychain"
+	# 		BUILD_COMMAND ${CMAKE_COMMAND} --build <BINARY_DIR> --config $<CONFIG> ${PROJECT_BUILD_COMMAND}
+	# 		LIST_SEPARATOR | # Use the alternate list separator
+	# 		CMAKE_ARGS ${APP_OPTIONS} ${QTKEYCHAIN_OPTIONS} ${USER_ARGS} -DCMAKE_INSTALL_PREFIX:PATH=<INSTALL_DIR> -DCMAKE_PREFIX_PATH=${PREFIX_PATH} -DCMAKE_OSX_ARCHITECTURES=${LINPHONESDK_MACOS_ARCHS}
+	# 		BUILD_ALWAYS NO #${DO_BUILD}
+	# 	)
+	# endif()
 	ExternalProject_Add(sdk PREFIX "${CMAKE_BINARY_DIR}/sdk"
 		SOURCE_DIR "${CMAKE_SOURCE_DIR}/linphone-sdk"
 		INSTALL_DIR "${LINPHONE_OUTPUT_DIR}"
@@ -291,7 +291,7 @@
 find_package(${QTKEYCHAIN_TARGET_NAME} CONFIG QUIET)
 
 if(NOT (LinphoneCxx_FOUND) OR NOT (Linphone_FOUND) OR NOT (bctoolbox_FOUND) OR NOT (belcard_FOUND) OR NOT (Mediastreamer2_FOUND) OR NOT (ortp_FOUND)
-	OR ( ENABLE_QT_KEYCHAIN AND NOT(${QTKEYCHAIN_TARGET_NAME}_FOUND) )
+#	OR ( ENABLE_QT_KEYCHAIN AND NOT(${QTKEYCHAIN_TARGET_NAME}_FOUND) )
 	OR FORCE_APP_EXTERNAL_PROJECTS
 )
 	message("Projects are set as External projects. You can start building them by using for example : cmake --build . --target install")
--- a/linphone-app/src/components/vfs/VfsUtils.hpp
+++ b/linphone-app/src/components/vfs/VfsUtils.hpp
@@ -22,7 +22,7 @@
 #define VFS_UTILS_H_
 
 #include <QObject>
-#include <EQt5Keychain/keychain.h>
+#include <qt5keychain/keychain.h>
 #include <QSettings>
 // =============================================================================
 
--- a/linphone-app/cmake_builder/linphone_package/CMakeLists.txt
+++ b/linphone-app/cmake_builder/linphone_package/CMakeLists.txt
@@ -250,9 +250,9 @@
 		execute_process(COMMAND install_name_tool -addrpath "$ORIGIN/../lib64" "${LIBRARY}")
 	endforeach ()
 	install(DIRECTORY "${LINPHONE_OUTPUT_DIR}/${CMAKE_INSTALL_BINDIR}/" DESTINATION "${CMAKE_INSTALL_BINDIR}" USE_SOURCE_PERMISSIONS)
-	if(ENABLE_QT_KEYCHAIN)
-		install(DIRECTORY "${QTKEYCHAIN_OUTPUT_DIR}/${CMAKE_INSTALL_LIBDIR}/" DESTINATION "${CMAKE_INSTALL_LIBDIR}" USE_SOURCE_PERMISSIONS)
-	endif()
+#	if(ENABLE_QT_KEYCHAIN)
+#		install(DIRECTORY "${QTKEYCHAIN_OUTPUT_DIR}/${CMAKE_INSTALL_LIBDIR}/" DESTINATION "${CMAKE_INSTALL_LIBDIR}" USE_SOURCE_PERMISSIONS)
+#	endif()
 #Just in case. This is useless because we have to use CMAKE_INSTALL_LIBDIR
 	if( EXISTS "${LINPHONE_OUTPUT_DIR}/lib/")
 		file(GLOB SHARED_LIBRARIES "${LINPHONE_OUTPUT_DIR}/lib/*.so*")
